Skip to main content
curl "https://api.chroniclehq.com/api/v1/presentations/pres_123" \
  -X PATCH \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "Updated deck title"
  }'
{
  "id": "pres_123",
  "title": "Updated deck title",
  "workspace_id": "ws_123",
  "sections": [],
  "is_public": false,
  "url": "https://app.chroniclehq.com/ws_123/document/pres_123",
  "created_at": "2026-04-30T00:00:00.000Z",
  "updated_at": "2026-04-30T00:05:00.000Z"
}

Documentation Index

Fetch the complete documentation index at: https://chronicle.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

curl "https://api.chroniclehq.com/api/v1/presentations/pres_123" \
  -X PATCH \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "Updated deck title"
  }'

Parameters

id
string
required
The presentation ID
title
string
Updated presentation title

Response

{
  "id": "pres_123",
  "title": "Updated deck title",
  "workspace_id": "ws_123",
  "sections": [],
  "is_public": false,
  "url": "https://app.chroniclehq.com/ws_123/document/pres_123",
  "created_at": "2026-04-30T00:00:00.000Z",
  "updated_at": "2026-04-30T00:05:00.000Z"
}
id
string
Presentation ID
title
string
Presentation title
workspace_id
string
Workspace ID that owns the presentation
sections
array
Presentation slides
is_public
boolean
Whether the presentation is public
url
string
Canonical presentation URL
created_at
string
ISO timestamp when the presentation was created
updated_at
string
ISO timestamp when the presentation was last updated

FAQs

In v1, this endpoint supports updating the presentation title.Other presentation fields are not editable through this route.
Chronicle treats an empty body as a no-op and returns the current presentation state.If you want to make a change, include a supported field in the request body.
No. This endpoint does not update presentation content.Use it only for supported presentation properties.